<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:param name="gs-major-version"/>
  <xsl:include href="common.xsl"/>

  <xsl:output method="text"/>
  
  <xsl:variable name="currentfolder">gs<xsl:value-of select="$gs-major-version"/>-current</xsl:variable>
  <xsl:variable name="es">Spanish</xsl:variable>
  <xsl:variable name="fr">French</xsl:variable>
  <xsl:variable name="ru">Russian</xsl:variable>
  <xsl:variable name="sampledir">{{SERVER}}{{SCRIPTPATH}}/gsdoc/tutorial/<xsl:value-of select="$currentfolder"/>/sample_files</xsl:variable>
  <xsl:variable name="htmldir">{{SERVER}}{{SCRIPTPATH}}/gsdoc/tutorial/<xsl:value-of select="$currentfolder"/></xsl:variable>
  <xsl:template match="TutorialList">
'''<xsl:apply-templates select="Title/Text"/>'''<xsl:text>
</xsl:text>
These work with Greenstone <xsl:value-of select="Version/@current"/>. [<xsl:value-of select="$htmldir"/>/en/all_tutorials.html <xsl:apply-templates select="/TutorialList/SupplementaryText/Text[@id='print']"/>]<xsl:text>
</xsl:text>
Translations of March 2006 version (for Greenstone 2.70):
[<xsl:value-of select="$htmldir"/>/es/index.html <xsl:value-of select="$es"/>]
[<xsl:value-of select="$htmldir"/>/fr/index.html <xsl:value-of select="$fr"/>]
[<xsl:value-of select="$htmldir"/>/ru/index.html <xsl:value-of select="$ru"/>]<xsl:text>
</xsl:text>
    <xsl:apply-templates select="Tutorial"/>
  </xsl:template>

  <xsl:template match="Tutorial"><xsl:text>

</xsl:text>
==[<xsl:value-of select="$htmldir"/>/en/<xsl:value-of select="@id"/>.htm <xsl:apply-templates select="Title/Text"/>]==
<xsl:for-each select="Content//Synopsis">
''<xsl:apply-templates/>''</xsl:for-each>
    <xsl:for-each select="Content/Heading/Text">
*<xsl:apply-templates/>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
